## nibabel-snapshot 1.0.0.dev+137+gf1c6

=== Makefile ===
COVERAGE_REPORT=coverage
HTML_DIR=build/html
LATEX_DIR=build/latex
WWW_DIR=build/website
DOCSRC_DIR=doc

#
# The Python executable to be used
#
PYTHON = python
NOSETESTS = $(PYTHON) $(shell which nosetests)

#
# Determine details on the Python/system
#

PYVER := $(shell $(PYTHON) -V 2>&1 | cut -d ' ' -f 2,2 | cut -d '.' -f 1,2)
DISTUTILS_PLATFORM := \
	$(shell \
		$(PYTHON) -c "import distutils.util; print distutils.util.get_platform()")

# Helpers for version handling.
# Note: can't be ':='-ed since location of invocation might vary
DEBCHANGELOG_VERSION = $(shell dpkg-parsechangelog | egrep ^Version | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)
SETUPPY_VERSION = $(shell $(PYTHON) setup.py -V)
#
# Automatic development version
#
#yields: LastTagName_CommitsSinceThat_AbbrvHash
DEV_VERSION := $(shell git describe --abbrev=4 HEAD |sed -e 's/-/+/g' |cut -d '/' -f 2,2)

# By default we are releasing with setup.py version
RELEASE_VERSION ?= $(SETUPPY_VERSION)

#
# Building
#

all: build

build: 
	$(PYTHON) setup.py config --noisy
	$(PYTHON) setup.py build


#
# Cleaning
#

clean:
	-rm -rf build
	-rm *-stamp

distclean: clean
	-rm MANIFEST
	-rm $(COVERAGE_REPORT)
	@find . -name '*.py[co]' \
		 -o -name '*.a' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.pstats' \
		 -o -iname '*.prof' \
		 -o -iname '#*#' | xargs -L10 rm -f
	-rm -r dist
	-rm build-stamp
#	-rm tests/data/*.hdr.* tests/data/*.img.* tests/data/something.nii \
#		tests/data/noise* tests/data/None.nii


#
# Little helpers
#

$(WWW_DIR):
	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi


#
# Tests
#

test: unittest testmanual


ut-%: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel/tests/test_$*.py


unittest: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel --with-doctest

testmanual: build
# go into data, because docs assume now data dir
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-doctest --doctest-extension=.txt doc


coverage: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-coverage --cover-package=nibabel


#
# Documentation
#

htmldoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) html


pdfdoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) latex
	cd $(LATEX_DIR) && $(MAKE) all-pdf


#
# Website
#

website: website-stamp
website-stamp: $(WWW_DIR) htmldoc pdfdoc
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
	touch $@


upload-website: website
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(WWW_DIR)/* \
		web.sourceforge.net:/home/groups/n/ni/niftilib/htdocs/nibabel/

upload-htmldoc: htmldoc
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(HTML_DIR)/* \
		web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nibabel/

#
# Sources
#

pylint: distclean
	# do distclean first to silence SWIG's sins
	PYTHONPATH=.:$(PYTHONPATH) pylint --rcfile doc/misc/pylintrc nibabel


#
# Distributions
#

# Check either everything was committed
check-nodirty:
	# Need to run in clean tree. If fails: commit or clean first
	[ "x$$(git diff)" = "x" ]
# || $(error "")

check-debian:
	# Need to run in a Debian packaging branch
	[ -d debian ]

check-debian-version: check-debian
	# Does debian version correspond to setup.py version?
	[ "$(DEBCHANGELOG_VERSION)" = "$(SETUPPY_VERSION)" ]

embed-dev-version: check-nodirty
	# change upstream version
	sed -i -e "s/$(SETUPPY_VERSION)/$(DEV_VERSION)/g" setup.py nibabel/__init__.py
	# change package name
	sed -i -e "s/= 'nibabel',/= 'nibabel-snapshot',/g" setup.py

deb-dev-autochangelog: check-debian
	# removed -snapshot from pkg name for now
	$(MAKE) check-debian-version || \
		dch --newversion $(DEV_VERSION)-1 --package nibabel-snapshot \
		 --allow-lower-version "NiBabel development snapshot."

deb-mergedev:
	git merge --no-commit origin/dist/debian/dev

orig-src: distclean distclean
	# clean existing dist dir first to have a single source tarball to process
	-rm -rf dist
	# let python create the source tarball
	$(PYTHON) setup.py sdist --formats=gztar
	# rename to proper Debian orig source tarball and move upwards
	# to keep it out of the Debian diff
	tbname=$$(basename $$(ls -1 dist/*tar.gz)) ; ln -s $${tbname} ../nibabel-snapshot_$(DEV_VERSION).orig.tar.gz
	mv dist/*tar.gz ..
	# clean leftover
	rm MANIFEST

devel-src: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src
	mv dist/*tar.gz ..
	rm -rf dist

devel-dsc: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src deb-mergedev deb-dev-autochangelog
	# create the dsc -- NOT using deb-src since it would clean the hell first
	cd dist && dpkg-source -i'\.(gbp.conf|git\.*)' -b nibabel-snapshot
	mv dist/*.gz dist/*dsc ..
	rm -rf dist

# make Debian source package
# # DO NOT depend on orig-src here as it would generate a source tarball in a
# Debian branch and might miss patches!
deb-src: check-debian distclean
	cd .. && dpkg-source -i'\.(gbp.conf|git\.*)' -b $(CURDIR)


bdist_rpm:
	$(PYTHON) setup.py bdist_rpm \
	  --doc-files "doc" \
	  --packager "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>" \
	  --vendor "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>"


# build MacOS installer -- depends on patched bdist_mpkg for Leopard
bdist_mpkg:
	$(PYTHON) tools/mpkg_wrapper.py setup.py install


.PHONY: orig-src pylint

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =


# Internal variables.
BUILDROOT       = ../build
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDROOT)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDROOT)/*

html:
	mkdir -p $(BUILDROOT)/html $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDROOT)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDROOT)/html."

pickle:
	mkdir -p $(BUILDROOT)/pickle $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDROOT)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDROOT)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDROOT)/htmlhelp $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDROOT)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDROOT)/htmlhelp."

latex:
	mkdir -p $(BUILDROOT)/latex $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDROOT)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDROOT)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDROOT)/changes $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDROOT)/changes
	@echo
	@echo "The overview file is in $(BUILDROOT)/changes."

linkcheck:
	mkdir -p $(BUILDROOT)/linkcheck $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDROOT)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDROOT)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDROOT)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
nibabel-snapshot (1.0.0.dev+137+gf1c6-1~squeeze.nd1) squeeze; urgency=low

  * Backport of Debian package version 1.0.0.dev+137+gf1c6-1 for
    NeuroDebian. Problems with the backport should be reported to the
    NeuroDebian maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Wed, 31 Mar 2010 11:46:08 -0400

nibabel-snapshot (1.0.0.dev+137+gf1c6-1) UNRELEASED; urgency=low

  * NiBabel development snapshot.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 31 Mar 2010 11:40:36 -0400

nibabel-snapshot (1.0-1) UNRELEASED; urgency=low

  * Bumped Debian Standards-version to 3.8.4, no changes necessary.
  * The new code is pure-Python. Binary package is arch:all 
  * Switched packaging to debhelper's 'dh'.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 31 Mar 2010 09:33:42 -0400

pynifti (0.20090303.1-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #517920).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 03 Mar 2009 18:35:05 +0100

pynifti (0.20090205.1-1) unstable; urgency=low

  * New upstream version.
  * Build-depend on swig (>= 1.3.29) for the '-O' switch.
  * Added 'XS-DM-Upload-Allowed: yes' in debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 08 Feb 2009 10:05:19 +0100

pynifti (0.20081017.1-1) unstable; urgency=low

  * New upstream version.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 17 Oct 2008 14:20:58 +0200

pynifti (0.20080710.1-1) unstable; urgency=low

  * New upstream release (Closes: #490141).
  * Change email address of Yaroslav Halchenko in uploaders field to
    'yoh@debian.org'.
  * Bumped Debian Standards-version to 3.8.0, no changes necessary.
  * Converted debian/copyright into a machine readable format. 

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 10 Jul 2008 17:30:22 +0200

pynifti (0.20080630.1-1) unstable; urgency=low

  * New upstream release. Fixed memory leak.
  * Merged bashism-removal patch with upstream.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 30 Jun 2008 10:08:58 +0200

pynifti (0.20080624.1-2) unstable; urgency=low

  * Fixed bashism in Makefile.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 25 Jun 2008 10:22:57 +0200

pynifti (0.20080624.1-1) unstable; urgency=low

  * New upstream release.
  * Rewrote debian/rules using CDBS (with python-support) and adjusted
    build-dependencies accordingly..
  * Build and install documentation in HTML format.
  * Mention nifticlibs code copy in debian/copyright.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 24 Jun 2008 21:23:21 +0200

pynifti (0.20070930.1-2) unstable; urgency=low

  * Bumped Debian Standards-version to 3.7.3, no changes necessary.
  * Modified build-deps for libnifti transition.
  * Moved package to section 'python'.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jan 2008 12:22:14 +0100

pynifti (0.20070930.1-1) unstable; urgency=low

  * New upstream release. Relicense under the MIT license, to be compatible
    with SciPy license. http://www.opensource.org/licenses/mit-license.php
  * Updated documentation.
  * Updated VCS information in debian/control.
  * Added new-style Homepage field in debian/control.
  * Updated debian/watch. 

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 28 Nov 2007 20:46:12 +0100

pynifti (0.20070917.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * Bugfix: Can now update NIfTI header data when no filename is set
    (Closes: #442175).
  * Unloading of image data without a filename set is no checked and prevented
    as it would damage data integrity and the image data could not be
    recovered.

  [ Yaroslav Halchenko ]
  * Added 'pixdim' property.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Sep 2007 08:32:59 +0200

pynifti (0.20070905.1-1) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Fixed a bug in the qform/quaternion handling that caused changes to the
    qform to vanish when saving to file.

  [ Michael Hanke ]
  * Added more unit tests.
  * 'dim' vector in the NIfTI header is now guaranteed to only contain
    non-zero elements. This caused problems with some applications.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  5 Sep 2007 20:54:18 +0200

pynifti (0.20070803.1-1) unstable; urgency=low

  * Does not depend on SciPy anymore.
  * Initial steps towards a unittest suite.
  * pynifti_pst can now print the peristimulus signal matrix for a single
    voxel (onsets x time) for easier processing of this information in
    external applications.
  * utils.getPeristimulusTimeseries() can now be used to compute mean and
    variance of the signal (among others).
  * debian/{copyright|watch} now point to the new home of pynifti in the
    niftilib project on SourceForge.
  * pynifti_pst is able to compute more than just the mean peristimulus
    timeseries (e.g. variance and standard deviation).
  * Relaxed build-dependency on libniftiio to any SO-version of the library.
  * Set default image description when saving a file if none is present.
  * Improved documentation.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  3 Aug 2007 15:47:26 +0200

pynifti (0.20070425.1-1) unstable; urgency=low

  * Improved documentation. Added note about the special usage of the header
    property. Also added notes about the relevant properties in the docstring
    of the corresponding accessor methods.
  * Added property and accessor methods to access/modify the repetition time
    of timeseries (dt).
  * Added functions to manipulate the pixdim values.
  * Added utils.py with some utility functions.
  * Added functions/property to determine the bounding box of an image.
  * Fixed a bug that caused a corrupted sform matrix when converting a NumPy
    array and a header dictionary into a NIfTI image.
  * Added script to compute peristimulus timeseries (pynifti_pst).
  * Package now depends on python-scipy.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 25 Apr 2007 23:12:22 +0200



=== debian/control ===
Source: nibabel-snapshot
Section: python
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Uploaders: Yaroslav Halchenko <yoh@debian.org>
Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy, python-nose, python-scipy, help2man
Standards-Version: 3.8.4
Homepage: http://nipy.sourceforge.net/nibabel
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
DM-Upload-Allowed: yes
XS-Python-Version: >= 2.5

Package: python-nibabel-snapshot
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy, libjs-jquery, python-scipy
Provides: ${python:Provides}
Conflicts: python-nibabel
XB-Python-Version: ${python:Versions}
Description: Python bindings to various neuroimaging data formats
 Currently supported formats are:
 .
  * ANALYZE (including SPM2 and SPM99 variants)
  * MINC
  * NIfTI
  * PAR/REC
 .
 This package also provides a commandline tool for conversion of PAR/REC to
 NIfTI images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# one ring to rule them all ...
%:
# need to enforce distutils, since we also have a makefile
	dh $@ --buildsystem=python_distutils --builddirectory=build

# enable when we believe that the tests should pass
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	for buildver in $(shell pyversions -vr); do \
#		echo "I: Running NiBabel unittests using python$$buildver"; \
#		$(MAKE) unittest PYTHON=python$$buildver || exit 1 ;\
#	done
#endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_installman:
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
	dh_installman build/parrec2nii.1

override_dh_clean:
	-rm -rf build
	dh_clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/nipy nibabel-([\d\.]*)\.tar\.gz
